<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__btm__ble__adv__scan__functions" kind="group">
    <compoundname>btm_ble_adv_scan_functions</compoundname>
    <title>Advertisement &amp; Scan</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1ga90a7b45015280a2dcef73a5be07cd561" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_start_advertisements</definition>
        <argsstring>(wiced_bt_ble_advert_mode_t advert_mode, wiced_bt_ble_address_type_t directed_advertisement_bdaddr_type, wiced_bt_device_address_ptr_t directed_advertisement_bdaddr_ptr)</argsstring>
        <name>wiced_bt_start_advertisements</name>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1gad1d90fe02e687ba52b02f970cb0ad3d3">wiced_bt_ble_advert_mode_t</ref></type>
          <declname>advert_mode</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
          <declname>directed_advertisement_bdaddr_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gaf2107358511d590ad4bc0f61a837978c">wiced_bt_device_address_ptr_t</ref></type>
          <declname>directed_advertisement_bdaddr_ptr</declname>
        </param>
        <briefdescription>
<para>Start advertising. </para>
        </briefdescription>
        <detaileddescription>
<para>Use <ref kindref="member" refid="group__btm__ble__adv__scan__functions_1gab51079605334c28e06d02f44ffd5ec6b">wiced_bt_ble_set_raw_advertisement_data</ref> to configure advertising data prior to starting avertisements. The advertisements are stopped upon successful LE connection establishment.</para>
<para>The <bold>advert_mode</bold> parameter determines what advertising parameters and durations to use (as specified by the application configuration).</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">advert_mode</parametername>
</parameternamelist>
<parameterdescription>
<para>: advertisement mode </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">directed_advertisement_bdaddr_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: BLE_ADDR_PUBLIC or BLE_ADDR_RANDOM (if using directed advertisement mode) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">directed_advertisement_bdaddr_ptr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Directed advertisement address (NULL if not using directed advertisement)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>status </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="454" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1ga0ba60f6bd5a99be06f8ddd879da9b248" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt___device_management_1gad1d90fe02e687ba52b02f970cb0ad3d3">wiced_bt_ble_advert_mode_t</ref></type>
        <definition>wiced_bt_ble_advert_mode_t wiced_bt_ble_get_current_advert_mode</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_ble_get_current_advert_mode</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Get current advertising mode. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>Current advertising mode (refer <ref kindref="member" refid="group__wicedbt___device_management_1ga1942781c78be25d498d93745db416f08">wiced_bt_ble_advert_mode_e</ref>) </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="463" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1gab51079605334c28e06d02f44ffd5ec6b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_ble_set_raw_advertisement_data</definition>
        <argsstring>(uint8_t num_elem, wiced_bt_ble_advert_elem_t *p_data)</argsstring>
        <name>wiced_bt_ble_set_raw_advertisement_data</name>
        <param>
          <type>uint8_t</type>
          <declname>num_elem</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__ble__advert__elem__t">wiced_bt_ble_advert_elem_t</ref> *</type>
          <declname>p_data</declname>
        </param>
        <briefdescription>
<para>Set advertisement raw data. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">num_elem</parametername>
</parameternamelist>
<parameterdescription>
<para>: number of ADV data element </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: advertisement raw data</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="476" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1ga8d62204cf6ab289f977215c08d5864ca" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_ble_check_advertising_data</definition>
        <argsstring>(uint8_t *p_adv, wiced_bt_ble_advert_type_t type, uint8_t *p_length)</argsstring>
        <name>wiced_bt_ble_check_advertising_data</name>
        <param>
          <type>uint8_t *</type>
          <declname>p_adv</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga3764eb118b409b406eedbb158262a91f">wiced_bt_ble_advert_type_t</ref></type>
          <declname>type</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_length</declname>
        </param>
        <briefdescription>
<para>Parse advertising data (returned from scan results callback <ref kindref="member" refid="group__wicedbt___device_management_1ga171a4706dce6ec6d118ec688e7dab0a4">wiced_bt_ble_scan_result_cback_t</ref>). </para>
        </briefdescription>
        <detaileddescription>
<para>Look for specified advertisement data type.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_adv</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to advertisement data </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">type</parametername>
</parameternamelist>
<parameterdescription>
<para>: advertisement data type to look for </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">p_length</parametername>
</parameternamelist>
<parameterdescription>
<para>: length of advertisement data (if found)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>pointer to start of requested advertisement data (if found). NULL if requested data type not found. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="490" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1gaed7a2250e3d40e66a23167febfbbebd4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_btm_ble_update_advertisement_filter_policy</definition>
        <argsstring>(wiced_bt_ble_advert_filter_policy_t advertising_policy)</argsstring>
        <name>wiced_btm_ble_update_advertisement_filter_policy</name>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga9f721100e521471e5a9cc5f9adcd92d4">wiced_bt_ble_advert_filter_policy_t</ref></type>
          <declname>advertising_policy</declname>
        </param>
        <briefdescription>
<para>Update the filter policy of advertiser. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">advertising_policy</parametername>
</parameternamelist>
<parameterdescription>
<para>advertising filter policy</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if successful </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="500" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1ga7f1db3380fcc8c1a93b3e0f34b302ff0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_ble_set_adv_tx_power</definition>
        <argsstring>(int8_t power, wiced_bt_dev_vendor_specific_command_complete_cback_t *p_cb)</argsstring>
        <name>wiced_bt_ble_set_adv_tx_power</name>
        <param>
          <type>int8_t</type>
          <declname>power</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga5efde2f4a4954a99dc729af308ce90bf">wiced_bt_dev_vendor_specific_command_complete_cback_t</ref> *</type>
          <declname>p_cb</declname>
        </param>
        <briefdescription>
<para>Command to set LE Advertisement tx power. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">power</parametername>
</parameternamelist>
<parameterdescription>
<para>: power value in db </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_cb</parametername>
</parameternamelist>
<parameterdescription>
<para>: Result callback (<ref kindref="compound" refid="structwiced__bt__set__adv__tx__power__result__t">wiced_bt_set_adv_tx_power_result_t</ref> will be passed to the callback)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="511" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1ga37a11fc558b6587f8c7288aa943edf06" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_ble_read_adv_tx_power</definition>
        <argsstring>(wiced_bt_dev_cmpl_cback_t *p_cback)</argsstring>
        <name>wiced_bt_ble_read_adv_tx_power</name>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga2ebace7053dc297ea21b0e97cd0b1ce3">wiced_bt_dev_cmpl_cback_t</ref> *</type>
          <declname>p_cback</declname>
        </param>
        <briefdescription>
<para>Read LE Advertisement transmit power. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: Result callback (<ref kindref="compound" refid="structwiced__bt__tx__power__result__t">wiced_bt_tx_power_result_t</ref> will be passed to the callback)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><verbatim>             WICED_BT_PENDING if command issued to controller.
             WICED_BT_NO_RESOURCES if couldn't allocate memory to issue command
             WICED_BT_BUSY if command is already in progress
</verbatim> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="525" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1ga575e3d625d0ae6ddae781a855ba538a2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_bt_ble_set_raw_scan_response_data</definition>
        <argsstring>(uint8_t num_elem, wiced_bt_ble_advert_elem_t *p_data)</argsstring>
        <name>wiced_bt_ble_set_raw_scan_response_data</name>
        <param>
          <type>uint8_t</type>
          <declname>num_elem</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__ble__advert__elem__t">wiced_bt_ble_advert_elem_t</ref> *</type>
          <declname>p_data</declname>
        </param>
        <briefdescription>
<para>Set scan response raw data. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">num_elem</parametername>
</parameternamelist>
<parameterdescription>
<para>: number of scan response data element </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: scan response raw data</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>status of the operation </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="537" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1gaead34268d19ff7ea316c687d15714ee9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_bt_ble_observe</definition>
        <argsstring>(wiced_bool_t start, uint8_t duration, wiced_bt_ble_scan_result_cback_t *p_scan_result_cback)</argsstring>
        <name>wiced_bt_ble_observe</name>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>start</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>duration</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga171a4706dce6ec6d118ec688e7dab0a4">wiced_bt_ble_scan_result_cback_t</ref> *</type>
          <declname>p_scan_result_cback</declname>
        </param>
        <briefdescription>
<para>This function makes the device start or stop operating in the observer role. </para>
        </briefdescription>
        <detaileddescription>
<para>The observer role device receives advertising events from a broadcast device.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">start</parametername>
</parameternamelist>
<parameterdescription>
<para>: TRUE to start the observer role </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">duration</parametername>
</parameternamelist>
<parameterdescription>
<para>: the duration for the observer role </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_scan_result_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: scan result callback</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>status of the operation</para>
</simplesect>
Note : It will use Low Duty Scan configuration </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="554" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1gac2aa0e611a70b09bfc6c4c48b99abb95" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_ble_scan</definition>
        <argsstring>(wiced_bt_ble_scan_type_t scan_type, wiced_bool_t duplicate_filter_enable, wiced_bt_ble_scan_result_cback_t *p_scan_result_cback)</argsstring>
        <name>wiced_bt_ble_scan</name>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1gafaba53a20aad0fb7a2536d9c2df7c96e">wiced_bt_ble_scan_type_t</ref></type>
          <declname>scan_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>duplicate_filter_enable</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga171a4706dce6ec6d118ec688e7dab0a4">wiced_bt_ble_scan_result_cback_t</ref> *</type>
          <declname>p_scan_result_cback</declname>
        </param>
        <briefdescription>
<para>Start LE scanning. </para>
        </briefdescription>
        <detaileddescription>
<para>The <bold>scan_type</bold> parameter determines what scanning parameters and durations to use (as specified by the application configuration).</para>
<para>Scan results are notified using <bold>p_scan_result_cback</bold></para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">scan_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: BTM_BLE_SCAN_TYPE_NONE, BTM_BLE_SCAN_TYPE_HIGH_DUTY, BTM_BLE_SCAN_TYPE_LOW_DUTY </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">duplicate_filter_enable</parametername>
</parameternamelist>
<parameterdescription>
<para>: TRUE or FALSE to enable or disable duplicate filtering</para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_scan_result_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: scan result callback</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t <linebreak />
 <bold> WICED_BT_PENDING </bold> : if successfully initiated <linebreak />
<bold> WICED_BT_BUSY </bold> : if already in progress <linebreak />
<bold> WICED_BT_ILLEGAL_VALUE </bold> : if parameter(s) are out of range <linebreak />
<bold> WICED_BT_NO_RESOURCES </bold> : if could not allocate resources to start the command <linebreak />
<bold> WICED_BT_WRONG_MODE </bold> : if the device is not up. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="577" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1ga397017f8e317d9c93785e719d7ca07cf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt___device_management_1gafaba53a20aad0fb7a2536d9c2df7c96e">wiced_bt_ble_scan_type_t</ref></type>
        <definition>wiced_bt_ble_scan_type_t wiced_bt_ble_get_current_scan_state</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_ble_get_current_scan_state</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Get current scan state. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>wiced_bt_ble_scan_type_t <linebreak />
 <bold> BTM_BLE_SCAN_TYPE_NONE </bold> Not scanning <linebreak />
<bold> BTM_BLE_SCAN_TYPE_HIGH_DUTY </bold> High duty cycle scan <linebreak />
<bold> BTM_BLE_SCAN_TYPE_LOW_DUTY </bold> Low duty cycle scan </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="589" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__adv__scan__functions_1ga524efdcf8f398f3bdfe71081d3882d06" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_ble_update_scanner_filter_policy</definition>
        <argsstring>(wiced_bt_ble_scanner_filter_policy_t scanner_policy)</argsstring>
        <name>wiced_bt_ble_update_scanner_filter_policy</name>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga6d09736846bcb960a4fd36934d24bfef">wiced_bt_ble_scanner_filter_policy_t</ref></type>
          <declname>scanner_policy</declname>
        </param>
        <briefdescription>
<para>Update the filter policy of scanning. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">scanner_policy</parametername>
</parameternamelist>
<parameterdescription>
<para>scanning filter policy</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="599" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section provides functions for BLE advertisement and BLE scan operations. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>